Skip to content

API reference

Export

Export a table's rows as a file, and check an export's status.

The Export object

  • created_atintegerRequired

    At least 0.

  • updated_atintegerRequired

    At least 0.

  • idstringRequired
  • project_idstringRequired
  • table_idstringRequirednullable
  • actor_idstringRequired
  • checksumstringRequired
  • statusstringRequired
    Allowed values
    processingcompletefailed
The Export objectjson
{  "created_at": 1711468800000,  "updated_at": 1711468800000,  "id": "exprt_01h5a3g8k9m2n4p6q8r0t2v4x6",  "project_id": "string",  "table_id": "string",  "actor_id": "string",  "checksum": "string",  "status": "processing",  "filter_json": "string",  "row_count": 42,  "json_key": "string",  "csv_key": "string",  "xlsx_key": "string",  "error": "string",  "expires_at": 1711468800000}

Get export status

GET/v1/projects/{project_id}/exports/{export_id}

Requirestables:read

Path parameters

  • project_idstringRequired
  • export_idstringRequired

Returns

200application/json

  • created_atintegerRequired

    At least 0.

  • updated_atintegerRequired

    At least 0.

  • idstringRequired
  • project_idstringRequired
  • table_idstringRequirednullable
  • actor_idstringRequired
  • checksumstringRequired
  • statusstringRequired
    Allowed values
    processingcompletefailed
  • filter_jsonstringRequirednullable
  • row_countintegerRequirednullable
  • json_keystringRequirednullable
  • csv_keystringRequirednullable
  • xlsx_keystringRequirednullable
  • errorstringRequirednullable
  • expires_atintegerRequirednullable

Errors

  • 404export_not_foundnot_found
  • 500captcha_unavailableinternal_server_error
Errors every endpoint can return
Requestbash
curl 'https://api.anyrow.ai/v1/projects/{project_id}/exports/{export_id}' \  -H 'Authorization: ApiKey {your_api_key}'
Responsejson
{  "created_at": 1711468800000,  "updated_at": 1711468800000,  "id": "exprt_01h5a3g8k9m2n4p6q8r0t2v4x6",  "project_id": "string",  "table_id": "string",  "actor_id": "string",  "checksum": "string",  "status": "processing",  "filter_json": "string",  "row_count": 42,  "json_key": "string",  "csv_key": "string",  "xlsx_key": "string",  "error": "string",  "expires_at": 1711468800000}

Export table rows

GET/v1/projects/{project_id}/tables/{table_id}/export

Requirestables:read

Path parameters

  • project_idstringRequired
  • table_idstringRequired

Query parameters

  • filterstringoptional
  • formatstringRequired
    Allowed values
    csvjsonxlsx
  • orderstringoptional
  • schemastringoptional
    Allowed values
    truefalse
  • sincestringoptional

Returns

200application/json

  • idstringRequired
  • statusstringRequired
    Always
    processing

Errors

  • 402api_request_limit_exceededexport_limit_exceededfeature_not_available
  • 404not_foundtable_not_found
  • 410table_soft_deleted
  • 500captcha_unavailableexport_failedinternal_server_error
Errors every endpoint can return
Requestbash
curl 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/export?format=csv' \  -H 'Authorization: ApiKey {your_api_key}'
Responsejson
{  "id": "string",  "status": "processing"}